lens-3.10: Lenses, Folds and Traversals

Portability | non-portable
Stability | experimental
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Control.Lens.Internal.Prism

Description

Synopsis

- data Market a b s t = Market (b -> t) (s -> Either t a)
- type Market' a = Market a a

# Documentation

data Market a b s t Source

This type is used internally by the `Prism` code to provide efficient access to the two parts of a `Prism`.

Constructors

Market (b -> t) (s -> Either t a) |

Instances

Choice (Market a b) |
Profunctor (Market a b) |
Functor (Market a b s) |

type Market' a = Market a aSource

    type Market' a s t = Market a a s t